define([
    'jquery',
    'jquery-ui-modules/widget'
], function ($) {
    'use strict';

    return function(target) {
        return $.widget('mage.productListToolbarForm', $.mage.productListToolbarForm, {
            _processSelect: function (event) {
                let optionValue =  event.currentTarget.options[event.currentTarget.selectedIndex].text;
                this.initBehavioralEvent(optionValue);

                this._super(event);
            },

            initBehavioralEvent(action) {
                dataLayer.push({
                    'event': 'Sort order',
                    'eventCategory': 'Sort order',
                    'eventAction': action,
                });
            }
        });
    }
});
